CREATE VIEW city_info AS
	SELECT city.Name AS city_name, country.Name AS country_name, country.Code, countrylanguage.Language 
	    FROM country
	     JOIN city ON city.CountryCode = country.Code
	     JOIN countrylanguage ON countrylanguage.CountryCode = country.Code
	     WHERE countrylanguage.IsOfficial = 'T';


SELECT * FROM city_info;

DROP VIEW IF EXISTS city_info;